Bug 247408 - Review Request: compizconfig-python - Python bindings for the Compiz Configuration System
Review Request: compizconfig-python - Python bindings for the Compiz Configur...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 247406
Blocks: 328981
  Show dependency treegraph
 
Reported: 2007-07-09 00:39 EDT by Mohd Izhar Firdaus Ismail
Modified: 2011-04-03 23:50 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-27 10:25:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mohd Izhar Firdaus Ismail 2007-07-09 00:39:08 EDT
Spec URL: http://devel.foss.org.my/~kagesenshi/repo/private/testing/SPEC/compizconfig-python.spec
SRPM URL: http://devel.foss.org.my/~kagesenshi/repo/private/testing/compizconfig-python/compizconfig-python-0.0.1-0.5.20070708git.fc7.src.rpm
Description: 
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains bindings to configure Compiz's
plugins and the composite window manager.

---
BuildReq
libcompizconfig - https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=247406
Comment 1 Xavier Lamien 2007-07-09 17:07:33 EDT
Added block dependency
Comment 3 Mamoru TASAKA 2007-10-17 03:28:45 EDT
(removing NEEDSPONSOR)
Comment 5 Mamoru TASAKA 2007-10-18 08:39:14 EDT
Well, although F8 freeze has already come, I hope ccsm
(and then also this package) can be included before
F8 is released.

My comments for 0.6.0-0.2.XXXXXX

* Seemingly too long name
  - rpmlint complains that the name of binary rpms are too
    long.
--------------------------------------------------------------
$ rpmlint *rpm
compizconfig-python.i386: W: incoherent-version-in-changelog
0.6.0-2.20071018git0e80b1 0.6.0-0.2.20071018git0e80b1.fc8
compizconfig-python-debuginfo.i386: W: filename-too-long-for-joliet
compizconfig-python-debuginfo-0.6.0-0.2.20071018git0e80b1.fc8.i386.rpm
compizconfig-python-devel.i386: W: no-documentation
compizconfig-python-devel.i386: W: filename-too-long-for-joliet
compizconfig-python-devel-0.6.0-0.2.20071018git0e80b1.fc8.i386.rpm
$ rpmlint -I filename-too-long-for-joliet
filename-too-long-for-joliet :
This filename is too long to fit on a joliet filesystem (limit is 64 unicode chars).
--------------------------------------------------------------
    Please consider to shorten the rpms' name.

* .pc file
  - Is this .pc file (and then -devel subpackage) really needed?
    * -devel package does not contain any libraries or header files
    * This file does not seem to be used to rebuild ccsm.

! COPYING
  - Well, the source codes are actually under LGPLv2+, however COPYING
    file is GPL. The license tag can be LGPLv2+, however please ask the
    developer to change COPYING file (this is not a blocker).
Comment 6 Mohd Izhar Firdaus Ismail 2007-10-18 10:28:25 EDT
//
* .pc file
  - Is this .pc file (and then -devel subpackage) really needed?
    * -devel package does not contain any libraries or header files
    * This file does not seem to be used to rebuild ccsm.
//

ure right, the .pc file is not needed anymore (it was needed by the configure
script before, thats where that BuildDep came from)
 
so, should I merge this file with the main package?
Comment 7 Mamoru TASAKA 2007-10-18 10:51:19 EDT
Simply removing .pc file is better.
Comment 8 Mohd Izhar Firdaus Ismail 2007-10-18 11:02:19 EDT
the .pc file might be used by some other softwares to detect the existence of
compizconfig-python .. (like what ccsm done before) .. hurm .. so, just ignore
that for now and add later in case somebody filed a bug?? .. 
Comment 9 Mohd Izhar Firdaus Ismail 2007-10-18 11:03:16 EDT
s/"in case"/"after"/
Comment 10 Mamoru TASAKA 2007-10-18 11:10:27 EDT
IMO if some package needs compizconfig-python, then
the package should check by 

python -c "import compizconfig"

for example, not by this useless .pc file.
Comment 12 Mamoru TASAKA 2007-10-19 01:47:03 EDT
Okay to me.
Comment 13 Mohd Izhar Firdaus Ismail 2007-10-19 22:25:00 EDT
errr .. (noobie question) am i supposed to set the fedora-review flag to +
myself??? .. 
Comment 14 Mamoru TASAKA 2007-10-19 23:44:22 EDT
(In reply to comment #13)
> errr .. (noobie question) am i supposed to set the fedora-review flag to +
> myself??? .. 

You should not do that. I can reassign this bug to myself, however
I want to wait what Ignacio says one more day before doing it.
Comment 15 Mamoru TASAKA 2007-10-20 03:29:15 EDT
--------------------------------------------------------------
  This package (compizconfig-python) is APPROVED by me
--------------------------------------------------------------
Comment 16 Mamoru TASAKA 2007-10-20 03:31:37 EDT
Note:
Perhaps F-8 branch will be created soon, so when you request
CVS branch, please also request to create F-8 branch.

https://www.redhat.com/archives/fedora-devel-list/2007-October/msg01515.html
Comment 17 Mohd Izhar Firdaus Ismail 2007-10-20 03:37:24 EDT
New Package CVS Request
=======================
Package Name: compizconfig-python
Short Description: Python bindings for the Compiz Configuration System
Owners: izhar
Branches: F-8 Devel
InitialCC: izhar
Cvsextras Commits: yes
Comment 18 Kevin Fenzi 2007-10-21 12:29:53 EDT
cvs done.
Comment 19 Mamoru TASAKA 2007-10-27 10:25:00 EDT
Closing for now.
Comment 20 leigh scott 2011-04-01 11:54:18 EDT
Hi Mohd Izhar,

Is it ok for me to request a epel6 branch?

https://bugzilla.redhat.com/show_bug.cgi?id=677365

Thanks

Leigh
Comment 21 leigh scott 2011-04-01 13:43:47 EDT
Package Change Request
======================
Package Name: compizconfig-python
New Branches: el6
Owners: leigh123linux
Comment 22 Jason Tibbitts 2011-04-03 23:50:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.